pfodParser 5.0.1 The pfodParser library is handles commands sent from the Android pfodApp, pfodApp supports WiFi, BLE, Bluetooth and SMS connections

Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes | List of all members
pfodBLEBufferedSerial Class Reference

(c)2015 Forward Computing and Control Pty. More...

`#include <pfodBLEBufferedSerial.h>`

Inherits Stream.

## Public Member Functions
| pfodBLEBufferedSerial ()
| pfodBLEBufferedSerial (size_t _bufferSize)
pfodBLEBufferedSerial * | connect (Stream *_stream)
virtual size_t | write (uint8_t)
virtual size_t | write (const uint8_t *buf, size_t size)
virtual int | available ()
virtual int | read ()
virtual int | peek ()
virtual void | flush ()
void | setDebugStream (Print *out)
size_t | bytesToBeSent ()
void | clearTxBuffer ()
void | setBLEBlockSendDelay (uint16_t count)

## Static Public Attributes
static const size_t | BLE_SEND_BLOCK_SIZE = 20

## Protected Member Functions
void | sendAfterDelay ()
size_t | _write (uint8_t c)
void | init ()

## Protected Attributes
Stream * | stream
size_t | bufferSize
size_t | sendBufferIdxHead
size_t | sendBufferIdxTail
uint8_t | sendBlock [BLE_SEND_BLOCK_SIZE]
uint8_t * | sendBuffer
Print * | debugOut
unsigned long | sendDelay_uS

## Detailed Description

(c)2015 Forward Computing and Control Pty.

Ltd. This code may be freely used for both private and commerical use. Provide this copyright is maintained.

Definition at line 15 of file pfodBLEBufferedSerial.h.

## Constructor & Destructor Documentation

## ◆ pfodBLEBufferedSerial() [1/2]

pfodBLEBufferedSerial::pfodBLEBufferedSerial | ( |  | ) |

## ◆ pfodBLEBufferedSerial() [2/2]

pfodBLEBufferedSerial::pfodBLEBufferedSerial | ( | size_t | _bufferSize | ) |

## Member Function Documentation

## ◆ _write()

size_t pfodBLEBufferedSerial::_write | ( | uint8_t | c | ) |
| protected

## ◆ available()

virtual int pfodBLEBufferedSerial::available | ( |  | ) |
| virtual

## ◆ bytesToBeSent()

size_t pfodBLEBufferedSerial::bytesToBeSent | ( |  | ) |

## ◆ clearTxBuffer()

void pfodBLEBufferedSerial::clearTxBuffer | ( |  | ) |

## ◆ connect()

pfodBLEBufferedSerial* pfodBLEBufferedSerial::connect | ( | Stream * | _stream | ) |

## ◆ flush()

virtual void pfodBLEBufferedSerial::flush | ( |  | ) |
| virtual

## ◆ init()

void pfodBLEBufferedSerial::init | ( |  | ) |
| protected

## ◆ peek()

virtual int pfodBLEBufferedSerial::peek | ( |  | ) |
| virtual

## ◆ read()

virtual int pfodBLEBufferedSerial::read | ( |  | ) |
| virtual

## ◆ sendAfterDelay()

void pfodBLEBufferedSerial::sendAfterDelay | ( |  | ) |
| protected

## ◆ setBLEBlockSendDelay()

void pfodBLEBufferedSerial::setBLEBlockSendDelay | ( | uint16_t | count | ) |

## ◆ setDebugStream()

void pfodBLEBufferedSerial::setDebugStream | ( | Print * | out | ) |

## ◆ write() [1/2]

virtual size_t pfodBLEBufferedSerial::write | ( | const uint8_t * | buf,
|  | size_t | size
| ) |  |
| virtual

## ◆ write() [2/2]

virtual size_t pfodBLEBufferedSerial::write | ( | uint8_t |  | ) |
| virtual

## Member Data Documentation

## ◆ BLE_SEND_BLOCK_SIZE

const size_t pfodBLEBufferedSerial::BLE_SEND_BLOCK_SIZE = 20
| static

Definition at line 36 of file pfodBLEBufferedSerial.h.

## ◆ bufferSize

size_t pfodBLEBufferedSerial::bufferSize
| protected

Definition at line 45 of file pfodBLEBufferedSerial.h.

## ◆ debugOut

Print* pfodBLEBufferedSerial::debugOut
| protected

Definition at line 50 of file pfodBLEBufferedSerial.h.

## ◆ sendBlock

uint8_t pfodBLEBufferedSerial::sendBlock[BLE_SEND_BLOCK_SIZE]
| protected

Definition at line 48 of file pfodBLEBufferedSerial.h.

## ◆ sendBuffer

uint8_t* pfodBLEBufferedSerial::sendBuffer
| protected

Definition at line 49 of file pfodBLEBufferedSerial.h.

## ◆ sendBufferIdxHead

size_t pfodBLEBufferedSerial::sendBufferIdxHead
| protected

Definition at line 46 of file pfodBLEBufferedSerial.h.

## ◆ sendBufferIdxTail

size_t pfodBLEBufferedSerial::sendBufferIdxTail
| protected

Definition at line 47 of file pfodBLEBufferedSerial.h.

## ◆ sendDelay_uS

unsigned long pfodBLEBufferedSerial::sendDelay_uS
| protected

Definition at line 51 of file pfodBLEBufferedSerial.h.

## ◆ stream

Stream* pfodBLEBufferedSerial::stream
| protected

Definition at line 42 of file pfodBLEBufferedSerial.h.